#!/bin/bash
set -eu;
readonly ROOT="$(realpath "$(dirname "$0")/..")";

pushd .;
cd ""${ROOT}"";

printf "This script requires the \"aseprite\" binary in the path.\\n";
for i in $(seq 0 2);
do
    aseprite ""${ROOT}"/src/title.aseprite" --batch --crop 0,1,36,13 --frame-range "${i}","${i}" --save-as ""${ROOT}"/export/title__frame_"${i}".gif";
done;

popd;
